PGASelect(3)

NAME
PGASelect - performs genetic algorithm selection using either the default selection scheme or that specified with PGASetSelectType().

DESCRIPTION
Valid selection methods are proportional, stochastic universal, tournament, or probabilistic tournament selection, PGA_SELECT_PROPORTIONAL, PGA_SELECT_SUS, PGA_SELECT_TOURNAMENT, and PGA_SELECT_PTOURNAMENT, respectively. This function updates an internal array with the indices of members of popix selected for recombination. These indices may be accessed with PGASelectNextIndex()

INPUT PARAMETERS
ctx - context variable
popix
    - symbolic constant of population to select from

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASelect(ctx, popix)
PGAContext *ctx
int popix

LOCATION
select.c

EXAMPLE
Example:
PGAContext *ctx,
:
PGASelect(ctx, PGA_OLDPOP);